---
schema-version: '1.1'
build:
  name: OpenSearch
  version: 1.3.15
  platform: linux
  architecture: x64
  distribution: tar
  location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/dist/opensearch/opensearch-1.3.15-linux-x64.tar.gz
  id: '9530'
components:
  - name: OpenSearch
    repository: https://github.com/opensearch-project/OpenSearch.git
    ref: '1.3'
    commit_id: f1842d770471ab4a6e496e5b1e14c14478f059f1
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/dist/opensearch-min-1.3.15-linux-x64.tar.gz
  - name: common-utils
    repository: https://github.com/opensearch-project/common-utils.git
    ref: '1.3'
    commit_id: ede103c546c7cd4843b3c5ef3bc3d66fe1f5496b
  - name: job-scheduler
    repository: https://github.com/opensearch-project/job-scheduler.git
    ref: '1.3'
    commit_id: 3134607457f7813a1a38a728e6bdcc838a4e6f89
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-job-scheduler-1.3.15.0.zip
  - name: security
    repository: https://github.com/opensearch-project/security.git
    ref: '1.3'
    commit_id: c2247df2cf6138383ea979acbe6ea3d924ac8c85
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-security-1.3.15.0.zip
  - name: ml-commons
    repository: https://github.com/opensearch-project/ml-commons.git
    ref: '1.3'
    commit_id: a405f8ae4f2ce379a518225ec9ab7c2853d78bc0
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-ml-1.3.15.0.zip
  - name: performance-analyzer
    repository: https://github.com/opensearch-project/performance-analyzer.git
    ref: '1.3'
    commit_id: b9bcc1e65709c4fa10c7006c4127f20fc28fa33a
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-performance-analyzer-1.3.15.0.zip
  - name: alerting
    repository: https://github.com/opensearch-project/alerting.git
    ref: '1.3'
    commit_id: 59119873187bd7b736a57364a59c55e3aa7ecaec
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-alerting-1.3.15.0.zip
  - name: opensearch-reports
    repository: https://github.com/opensearch-project/reporting.git
    ref: '1.3'
    commit_id: 4546832ed1ad6f4f2c5db2071bba21df4db7900d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-reports-scheduler-1.3.15.0.zip
  - name: cross-cluster-replication
    repository: https://github.com/opensearch-project/cross-cluster-replication.git
    ref: '1.3'
    commit_id: 696e62410dbb0cc9535ea2b69e51d8c9c30486d5
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-cross-cluster-replication-1.3.15.0.zip
  - name: opensearch-observability
    repository: https://github.com/opensearch-project/observability.git
    ref: '1.3'
    commit_id: 4cf584bde061447713206dd42d0840fbc130c1fd
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-observability-1.3.15.0.zip
  - name: anomaly-detection
    repository: https://github.com/opensearch-project/anomaly-detection.git
    ref: '1.3'
    commit_id: a386d3816b5e8fd2550fd1f4bee5c8cf2d12018b
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-anomaly-detection-1.3.15.0.zip
  - name: asynchronous-search
    repository: https://github.com/opensearch-project/asynchronous-search.git
    ref: '1.3'
    commit_id: a4c5b5d6fdab6fc788f7ccab2336ae67968d6327
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-asynchronous-search-1.3.15.0.zip
  - name: k-NN
    repository: https://github.com/opensearch-project/k-NN.git
    ref: '1.3'
    commit_id: 51d257ec70bfcf25768d7751602c863194bd956f
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-knn-1.3.15.0.zip
  - name: sql
    repository: https://github.com/opensearch-project/sql.git
    ref: '1.3'
    commit_id: 5c4590dc62e2abcb68e2f54e19d739f22b64f3e3
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-sql-1.3.15.0.zip
  - name: index-management
    repository: https://github.com/opensearch-project/index-management.git
    ref: '1.3'
    commit_id: 5c77be0de071bc00a60b26b59040dc1e93227548
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.15/9530/linux/x64/tar/builds/opensearch/plugins/opensearch-index-management-1.3.15.0.zip
